Uses of Class
org.mockserver.model.LogEventRequestAndResponse
-
-
Uses of LogEventRequestAndResponse in org.mockserver.client
Methods in org.mockserver.client that return LogEventRequestAndResponse Modifier and Type Method Description LogEventRequestAndResponse[]MockServerClient. retrieveRecordedRequestsAndResponses(RequestDefinition requestDefinition)Retrieve the recorded requests and responses that match the httpRequest parameter, use null for the parameter to retrieve all requests and responses -
Uses of LogEventRequestAndResponse in org.mockserver.log
Method parameters in org.mockserver.log with type arguments of type LogEventRequestAndResponse Modifier and Type Method Description voidMockServerEventLog. retrieveRequestResponses(RequestDefinition requestDefinition, Consumer<List<LogEventRequestAndResponse>> listConsumer) -
Uses of LogEventRequestAndResponse in org.mockserver.model
Methods in org.mockserver.model that return LogEventRequestAndResponse Modifier and Type Method Description LogEventRequestAndResponseLogEventRequestAndResponse. withHttpRequest(HttpRequest httpRequest)LogEventRequestAndResponseLogEventRequestAndResponse. withHttpResponse(HttpResponse httpResponse)LogEventRequestAndResponseLogEventRequestAndResponse. withTimestamp(String timestamp) -
Uses of LogEventRequestAndResponse in org.mockserver.serialization
Methods in org.mockserver.serialization that return LogEventRequestAndResponse Modifier and Type Method Description LogEventRequestAndResponseLogEventRequestAndResponseSerializer. deserialize(String jsonHttpRequestAndHttpResponse)LogEventRequestAndResponse[]LogEventRequestAndResponseSerializer. deserializeArray(String jsonHttpRequestAndHttpResponse)Methods in org.mockserver.serialization with parameters of type LogEventRequestAndResponse Modifier and Type Method Description StringLogEventRequestAndResponseSerializer. serialize(LogEventRequestAndResponse httpRequestAndHttpResponse)StringLogEventRequestAndResponseSerializer. serialize(LogEventRequestAndResponse... httpRequestAndHttpResponses)Method parameters in org.mockserver.serialization with type arguments of type LogEventRequestAndResponse Modifier and Type Method Description StringLogEventRequestAndResponseSerializer. serialize(List<LogEventRequestAndResponse> httpRequestAndHttpResponses)byte[]ExpectationExportSerializer. serializeRequestResponsesAsBruno(List<LogEventRequestAndResponse> pairs)StringExpectationExportSerializer. serializeRequestResponsesAsOpenApi(List<LogEventRequestAndResponse> pairs)StringExpectationExportSerializer. serializeRequestResponsesAsPostman(List<LogEventRequestAndResponse> pairs) -
Uses of LogEventRequestAndResponse in org.mockserver.serialization.har
Method parameters in org.mockserver.serialization.har with type arguments of type LogEventRequestAndResponse Modifier and Type Method Description StringHarConverter. serialize(List<LogEventRequestAndResponse> requestAndResponses) -
Uses of LogEventRequestAndResponse in org.mockserver.serialization.model
Methods in org.mockserver.serialization.model that return LogEventRequestAndResponse Modifier and Type Method Description LogEventRequestAndResponseLogEventRequestAndResponseDTO. buildObject()Constructors in org.mockserver.serialization.model with parameters of type LogEventRequestAndResponse Constructor Description LogEventRequestAndResponseDTO(LogEventRequestAndResponse httpRequestAndHttpResponse) -
Uses of LogEventRequestAndResponse in org.mockserver.testing.integration.mock
Methods in org.mockserver.testing.integration.mock with parameters of type LogEventRequestAndResponse Modifier and Type Method Description protected voidAbstractMockingIntegrationTestBase. verifyRequestsMatches(LogEventRequestAndResponse[] logEventRequestAndResponses, HttpRequest... httpRequestMatchers)
-